Upgrade to Oracle 12 causes error in Developer

Questions and answers regarding general SQL and backend databases

Upgrade to Oracle 12 causes error in Developer

Postby john.allen » Thu Apr 23, 2015 2:21 am

Hi

We upgraded Oracle to 12 yesterday. We are using Servoy 6.1. At first some of the users had connection issues and I started checking my connections in Servoy Developer and Aqua Data Studio. I definitely was getting Oracle errors in both applications (although different in both) and so figured it must have something to do with the JDBC drivers. Had to attend a meeting but in the meantime noticed that I had no problem connecting as a user to our Servoy applications and then found out that my users were also able to connect. So I believe for the users the issue might just have been that they needed to restart their machines as there might have been something stored in their cache that prevented them from logging in.

But the ADS and Servoy connections on my machine were continuing. The error I was getting on Aqua Data Studio was "ORA-28040: No matching authentication protocol". Eventually I resolved this by updating the JDBC driver. I figured that would do the same for Servoy Developer. There though the error was "ORA-00922: missing or invalid option tips". Changing the driver didn't help here. What I did find finally allowed me to make a connection was removing the 'Schema' parameter. This is not a real solution of course and Servoy warns that one always should give a schema name. Plus for one of my connections it shows no tables even though the connection is allowed without the schema.

Anyone have any suggestions? Why is it working on the server - even without changing the driver - and yet not on my Servoy Developer connection?

Any help greatly appreciated…

John
John Allen
Stanford University
john.allen
 
Posts: 515
Joined: Wed Jul 02, 2003 10:07 pm
Location: Stanford CA USA

Re: Upgrade to Oracle 12 causes error in Developer

Postby patrick » Thu Apr 23, 2015 9:07 am

All I can say from strange oracle issues in the past, it's almost always the JDBC driver. You need to have the very exact driver for your DB. With very exact I mean not a driver for 11 for example, but one for 11.1.2.0 or whatever it is.
Patrick Ruhsert
Servoy DACH
patrick
 
Posts: 3622
Joined: Wed Jun 11, 2003 10:33 am
Location: Munich, Germany

Re: Upgrade to Oracle 12 causes error in Developer

Postby john.allen » Thu Apr 23, 2015 6:46 pm

Hi Patrick

But isn't it strange that the applications on the server are working fine with what is undoubtedly an 'older' JDBC driver but on my machine with the latest driver I am getting this in Servoy Developer?

I'll keep messing with it. And so strange if I have the schema empty I can connect…

John
John Allen
Stanford University
john.allen
 
Posts: 515
Joined: Wed Jul 02, 2003 10:07 pm
Location: Stanford CA USA

Re: Upgrade to Oracle 12 causes error in Developer

Postby patrick » Fri Apr 24, 2015 8:40 am

When you google for the error you see that it is thrown when you give the wrong parameters to a create table, create or alter user etc. So when exactly are you getting this error? I can't see why you create or alter users or tables when you simply establish a connection...
Patrick Ruhsert
Servoy DACH
patrick
 
Posts: 3622
Joined: Wed Jun 11, 2003 10:33 am
Location: Munich, Germany

Re: Upgrade to Oracle 12 causes error in Developer

Postby rgansevles » Sun Apr 26, 2015 10:58 pm

After investigation we found that Servoy does not recognize the dialect for oracle 12.
It falls back to a generic dialect that generates a schema-string that does not match oracle's.

It will be fixed in upconing Servoy releases (see https://support.servoy.com/browse/SVY-8178).

Until then a workaround is to set the dialect for your server in the servoy.properties file:

Code: Select all
server.99.dialect=com.servoy.j2db.dialect.Oracle10gDialect


Rob
Rob Gansevles
Servoy
User avatar
rgansevles
 
Posts: 1848
Joined: Wed Nov 15, 2006 6:17 pm
Location: Amersfoort, NL

Re: Upgrade to Oracle 12 causes error in Developer

Postby LXS » Mon Oct 30, 2017 5:07 pm

It seems that this issue isn't fixed yet.
We have a Oracle 12c Release 2 Database and see still those messages in the log:

Code: Select all
2017-10-30 12:39:41,606 WARN [main] org.hibernate.dialect.resolver.StandardDialectResolver - unknown Oracle major version [12] [ ]
2017-10-30 12:39:45,594 WARN [pool-1-thread-1] org.hibernate.dialect.resolver.StandardDialectResolver - unknown Oracle major version [12] [ ]
2017-10-30 12:39:45,657 WARN [pool-1-thread-1] org.hibernate.dialect.resolver.StandardDialectResolver - unknown Oracle major version [12] [ ]
2017-10-30 12:39:45,718 WARN [pool-1-thread-1] org.hibernate.dialect.resolver.StandardDialectResolver - unknown Oracle major version [12] [ ]


Now i've added your workaround
Code: Select all
server.99.dialect=com.servoy.j2db.dialect.Oracle10gDialect
on every single database connection, which uses Oracle 12c.
Alexander Stefan
Dr. Maison & Partner GmbH
www.servoy-plugins.de
www.maison-partner.de
LXS
 
Posts: 110
Joined: Thu Mar 01, 2007 12:00 am

Re: Upgrade to Oracle 12 causes error in Developer

Postby rgansevles » Mon Oct 30, 2017 9:51 pm

Alexander,

The fix is in place (you did not get the sql errors mentioned above).

The error that is logged is coming from a library we use.
Your config change prevents calling this, but in both cases the dialect is now set to the same Oracle10gDialect.

Rob
Rob Gansevles
Servoy
User avatar
rgansevles
 
Posts: 1848
Joined: Wed Nov 15, 2006 6:17 pm
Location: Amersfoort, NL


Return to SQL Databases

Who is online

Users browsing this forum: No registered users and 6 guests